org.apache.hadoop.yarn.server.federation.store.records.impl.pb

## Class SubClusterPolicyConfigurationPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.SubClusterPolicyConfiguration
  - - org.apache.hadoop.yarn.server.federation.store.records.impl.pb.SubClusterPolicyConfigurationPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class SubClusterPolicyConfigurationPBImpl
      extends SubClusterPolicyConfiguration

  Protobuf based implementation of `SubClusterPolicyConfiguration`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubClusterPolicyConfigurationPBImpl()`
    `SubClusterPolicyConfigurationPBImpl(org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.SubClusterPolicyConfigurationProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `ByteBuffer` | `getParams()` Get the policy parameters.
    `org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.SubClusterPolicyConfigurationProto` | `getProto()`
    `String` | `getQueue()` Get the name of the queue for which we are configuring a policy.
    `String` | `getType()` Get the type of the policy.
    `int` | `hashCode()`
    `void` | `setParams(ByteBuffer policyParams)` Set the policy parameters.
    `void` | `setQueue(String queueName)` Sets the name of the queue for which we are configuring a policy.
    `void` | `setType(String policyType)` Sets the type of the policy.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.server.federation.store.records.SubClusterPolicyConfiguration

      `newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubClusterPolicyConfigurationPBImpl

          public SubClusterPolicyConfigurationPBImpl()

    - #### SubClusterPolicyConfigurationPBImpl

          public SubClusterPolicyConfigurationPBImpl(org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.SubClusterPolicyConfigurationProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.SubClusterPolicyConfigurationProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SubClusterPolicyConfiguration`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `SubClusterPolicyConfiguration`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SubClusterPolicyConfiguration`

    - #### getQueue

          public String getQueue()

      Description copied from class: `SubClusterPolicyConfiguration`
      Get the name of the queue for which we are configuring a policy.
      Specified by:
        `getQueue` in class `SubClusterPolicyConfiguration`
      Returns:
        the name of the queue

    - #### setQueue

          public void setQueue(String queueName)

      Description copied from class: `SubClusterPolicyConfiguration`
      Sets the name of the queue for which we are configuring a policy.
      Specified by:
        `setQueue` in class `SubClusterPolicyConfiguration`
      Parameters:
        `queueName` - the name of the queue

    - #### getType

          public String getType()

      Description copied from class: `SubClusterPolicyConfiguration`
      Get the type of the policy. This could be random, round-robin, load-based, etc.
      Specified by:
        `getType` in class `SubClusterPolicyConfiguration`
      Returns:
        the type of the policy

    - #### setType

          public void setType(String policyType)

      Description copied from class: `SubClusterPolicyConfiguration`
      Sets the type of the policy. This could be random, round-robin, load-based, etc.
      Specified by:
        `setType` in class `SubClusterPolicyConfiguration`
      Parameters:
        `policyType` - the type of the policy

    - #### getParams

          public ByteBuffer getParams()

      Description copied from class: `SubClusterPolicyConfiguration`
      Get the policy parameters. This affects how the policy behaves and an example could be weight distribution of queues across multiple sub-clusters.
      Specified by:
        `getParams` in class `SubClusterPolicyConfiguration`
      Returns:
        the byte array that contains the parameters

    - #### setParams

          public void setParams(ByteBuffer policyParams)

      Description copied from class: `SubClusterPolicyConfiguration`
      Set the policy parameters. This affects how the policy behaves and an example could be weight distribution of queues across multiple sub-clusters.
      Specified by:
        `setParams` in class `SubClusterPolicyConfiguration`
      Parameters:
        `policyParams` - byte array that describes the policy

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.